Bug 155436 - Missing Files in pkg-plist of news/inn
Summary: Missing Files in pkg-plist of news/inn
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-10 14:00 UTC by Meyser
Modified: 2012-01-24 12:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Meyser 2011-03-10 14:00:25 UTC
All "CONFIGFILES" under %PREFIX%/share/examples/inn are not included in
the packages because they all are missing in pkg-plist.

So installing that package on another machine breaks.

Fix: 

Add the missing Files to pkg-plist.
How-To-Repeat: Build inn package on one machine.

Try to install on another machine.
Comment 1 Meyser 2011-03-10 16:51:15 UTC
The official 8.2-Release package "inn-2.4.6_1.tbz"

ftp://ftp.freebsd.org/pub/FreeBSD/releases/i386/8.2-RELEASE/packages/news/inn-2.4.6_1.tbz

ist broken too.

Regards
    matthias

-- 
Matthias Meyser        | XeNET Gesellschaft fuer Informations- und 
Kommunikationssysteme mbH
Tel.:  +49-5323-94018  | 38678 Clausthal-Zellerfeld, Burgstaetter Strasse 6
Fax:   +49-5323-94014  | Registergericht: Amtsgericht Braunschweig, HRB 110823
Email: Meyser@xenet.de | Geschaeftsfuehrer: Matthias Meyser
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-03-10 23:25:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fluffy

Fix synopsis and assign.
Comment 3 R.Mahmatkhanov 2011-09-09 11:57:14 UTC
Hi, Matthias.

Would you mind to list that missing files?
Right now this files installed by package under %%EXAMPLESDIR%%/db:

active
active.times
history
history.dir
newsgroups

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 Meyser 2011-09-13 14:22:56 UTC
Am 09.09.2011 12:57, schrieb Ruslan Mahmatkhanov:
> Would you mind to list that missing files?
> Right now this files installed by package under %%EXAMPLESDIR%%/db:

under %%EXAMPLESDIR%%/inn/db.

These are only the the DB Files.

All config files schould be in %%EXAMPLESDIR%%/inn

grep for "CONFIG_FILES" in ports Makefile.

for e.g. actsync.cfg is not included.

Best regards
    Matthias

P.S. Ich have done a Port for inn 2.5.2. If someone ist interest I
could file a PR with it.

-- 
Matthias Meyser        | XeNET Gesellschaft fuer Informations- und 
Kommunikationssysteme mbH
Tel.:  +49-5323-94018  | 38678 Clausthal-Zellerfeld, Burgstaetter Strasse 6
Fax:   +49-5323-94014  | Registergericht: Amtsgericht Braunschweig, HRB 110823
Email: Meyser@xenet.de | Geschaeftsfuehrer: Matthias Meyser
Comment 5 Alberto Villa freebsd_committer 2012-01-24 12:01:25 UTC
Responsible Changed
From-To: fluffy->avilla

I'll take it (maintainer timeout).
Comment 6 dfilter service freebsd_committer 2012-01-24 12:05:59 UTC
avilla      2012-01-24 12:05:45 UTC

  FreeBSD ports repository

  Modified files:
    news/inn             Makefile pkg-plist 
  Log:
  - Fix plist.
  - Bump PORTREVISION.
  
  The port didn't package most of the contents of share/examples/inn,
  but attempted to use them in exec/unexec portions of the package list,
  producing errors for binary package installations.
  
  PR:             159977 [1]
  PR:             155436
  Submitted by:   hag@linnaean.org [1]
  Approved by:    fluffy (maintainer timeout)
  
  Revision  Changes    Path
  1.96      +1 -1      ports/news/inn/Makefile
  1.27      +27 -1     ports/news/inn/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Alberto Villa freebsd_committer 2012-01-24 12:07:22 UTC
State Changed
From-To: open->closed

Problem fixed with patch submitted in PR 159977.